Bug 917745 - Internal error (500) when adding system to a group twice via WEBUI
Summary: Internal error (500) when adding system to a group twice via WEBUI
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Qixiang Wan
QA Contact: Raymond Mancy
URL:
Whiteboard: Misc
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-04 17:04 UTC by Jaroslav Kortus
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:56:06 UTC


Attachments (Terms of Use)

Description Jaroslav Kortus 2013-03-04 17:04:03 UTC
Description of problem:
Internal error 500 is returned when you try adding a system to the same group twice (i.e. if you don't notice it's already there).

Version-Release number of selected component (if applicable):
0.11.3

How reproducible:
always

Steps to Reproduce:
1. add system to group (admin->groups->[some group])
2. try to add it one more time
3.
  
Actual results:
internal server error

Expected results:
error message saying the operation could not be finished as the system is already a member of that group.

Additional info:

Comment 1 Qixiang Wan 2013-03-06 09:10:50 UTC
on gerrit: http://gerrit.beaker-project.org/1789

Comment 3 Raymond Mancy 2013-04-02 10:38:03 UTC
Verified, was greeted with error.

System 'system.example.com' is already in group 'admin'

Comment 4 Dan Callaghan 2013-04-11 04:56:06 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.